<html>
<head>
<title>OgreAnimationState.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#typedef-members">Typedefs</a>  </div>
  <div class="headertitle">
<div class="title">OgreAnimationState.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreString_8h_source.html">OgreString.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreController_8h_source.html">OgreController.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreIteratorWrappers_8h_source.html">OgreIteratorWrappers.h</a>&quot;</code><br/>
</div>
<p><a href="OgreAnimationState_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the state of an animation and the weight of its influence.  <a href="classOgre_1_1AnimationState.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateSet.html">Ogre::AnimationStateSet</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class encapsulating a set of <a class="el" href="classOgre_1_1AnimationState.html" title="Represents the state of an animation and the weight of its influence.">AnimationState</a> objects.  <a href="classOgre_1_1AnimationStateSet.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateControllerValue.html">Ogre::AnimationStateControllerValue</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1ControllerValue.html" title="Can either be used as an input or output value.">ControllerValue</a> wrapper class for <a class="el" href="classOgre_1_1AnimationState.html" title="Represents the state of an animation and the weight of its influence.">AnimationState</a>.  <a href="classOgre_1_1AnimationStateControllerValue.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef map&lt; String, <br class="typebreak"/>
AnimationState * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Animation.html#ga2fd1388ea690fecefc6bfe496d13e19f">Ogre::AnimationStateMap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef MapIterator<br class="typebreak"/>
&lt; AnimationStateMap &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Animation.html#gac427736c80940f4469fe0f4ac1694f67">Ogre::AnimationStateIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef ConstMapIterator<br class="typebreak"/>
&lt; AnimationStateMap &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Animation.html#gaad9cc8241f80d9d8fb4f112409de792f">Ogre::ConstAnimationStateIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef list&lt; AnimationState * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Animation.html#ga7f7651abe4d9e073cfdbcafd79da3511">Ogre::EnabledAnimationStateList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef ConstVectorIterator<br class="typebreak"/>
&lt; EnabledAnimationStateList &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Animation.html#ga7bc761681d8c97c449763d8b77dcedf8">Ogre::ConstEnabledAnimationStateIterator</a></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
